> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Task

> Deletes the specified LLM states.



## OpenAPI

````yaml openapi-ai-assistants DELETE /ai-assistants/delete-llm-states
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /ai-assistants/delete-llm-states:
    delete:
      summary: Delete LLM states
      description: Deletes the specified LLM states.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                llm_states:
                  description: Array of LLM state IDs to delete
                  type: array
                  items:
                    type: string
                    format: uuid
              required:
                - llm_states
      responses:
        '200':
          description: Successfully deleted LLM states
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        err:
          type: boolean
        msg:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````